Debian Bug report logs - #682433
pandoc: FTBFS[mips* sparc s390x]: threading detection broken

version graph

Package: src:pandoc; Maintainer for src:pandoc is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: Christoph Egger <christoph@debian.org>

Date: Sun, 22 Jul 2012 17:54:16 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version pandoc/1.9.4.2-1

Fixed in version pandoc/1.9.4.2-2

Done: Iain Lane <laney@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#682433; Package src:pandoc. (Sun, 22 Jul 2012 17:54:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sun, 22 Jul 2012 17:54:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: pandoc: FTBFS[mips* sparc s390x]: threading detection broken
Date: Sun, 22 Jul 2012 19:31:25 +0200
[Message part 1 (text/plain, inline)]
Package: src:pandoc
Version: 1.9.4.2-1
Severity: serious
Tags: sid wheezy patch
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the buildds:

Linking dist-ghc/build/pandoc/pandoc ...
/usr/bin/ld: cannot find -lHSrts_thr
collect2: ld returned 1 exit status

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=pandoc&arch=mips&ver=1.9.4.2-1&stamp=1341543393

Patch attached

Regards

    Christoph

[0001-Enable-threaded-only-on-threaded-systems.patch (text/x-diff, inline)]
From 48dae8e98b4a946c5479dc6e46226c8d7006a7cb Mon Sep 17 00:00:00 2001
From: Christoph Egger <christoph@debian.org>
Date: Sun, 22 Jul 2012 19:27:51 +0200
Subject: [PATCH] Enable threaded only on threaded systems

Up until now threading was enabled if there is no threading library at
an obsolete location which obviously is always true. Now check where
the threading libs are supposed to be and enable threaded build in
case threading is available (and not absent)
---
 debian/rules |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/debian/rules b/debian/rules
index cc0523a..494dd8d 100755
--- a/debian/rules
+++ b/debian/rules
@@ -18,7 +18,7 @@ DEB_INSTALL_MANPAGES_pandoc = man/man1/*.1 man/man5/*.5 debian/hsmarkdown.1
 DEB_SETUP_GHC6_CONFIGURE_ARGS = -fhighlighting
 
 # Use threaded RTS only when supported
-DEB_SETUP_GHC6_CONFIGURE_ARGS += $(if $(wildcard /usr/lib/ghc-$(GHC6_VERSION)/libHSrts_thr.a),,--flags=-threaded)
+DEB_SETUP_GHC6_CONFIGURE_ARGS += $(if $(wildcard /usr/lib/ghc/libHSrts_thr.a),--flags=-threaded,)
 
 # Disable timer to help build on slow arches like hppa
 DEB_SETUP_GHC6_CONFIGURE_ARGS += --ghc-options="+RTS -V0 -RTS"
-- 
1.7.10.4

[Message part 3 (text/plain, inline)]
-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#682433; Package src:pandoc. (Sun, 22 Jul 2012 18:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to John MacFarlane <jgm@berkeley.edu>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sun, 22 Jul 2012 18:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 682433@bugs.debian.org (full text, mbox):

From: John MacFarlane <jgm@berkeley.edu>
To: Christoph Egger <christoph@debian.org>, 682433@bugs.debian.org
Subject: Re: Bug#682433: pandoc: FTBFS[mips* sparc s390x]: threading detection broken
Date: Sun, 22 Jul 2012 11:04:24 -0700
+++ Christoph Egger [Jul 22 12 19:31 ]:
> Package: src:pandoc
> Version: 1.9.4.2-1
> Severity: serious
> Tags: sid wheezy patch
> Justification: fails to build from source (but built successfully in the past)
> 
> Hi!
> 
> Your package failed to build on the buildds:
> 
> Linking dist-ghc/build/pandoc/pandoc ...
> /usr/bin/ld: cannot find -lHSrts_thr
> collect2: ld returned 1 exit status
> 
> Full build log at
> https://buildd.debian.org/status/fetch.php?pkg=pandoc&arch=mips&ver=1.9.4.2-1&stamp=1341543393
> 
> Patch attached
> 
> Regards
> 
>     Christoph
> 

> From 48dae8e98b4a946c5479dc6e46226c8d7006a7cb Mon Sep 17 00:00:00 2001
> From: Christoph Egger <christoph@debian.org>
> Date: Sun, 22 Jul 2012 19:27:51 +0200
> Subject: [PATCH] Enable threaded only on threaded systems
> 
> Up until now threading was enabled if there is no threading library at
> an obsolete location which obviously is always true. Now check where
> the threading libs are supposed to be and enable threaded build in
> case threading is available (and not absent)
> ---
>  debian/rules |    2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/debian/rules b/debian/rules
> index cc0523a..494dd8d 100755
> --- a/debian/rules
> +++ b/debian/rules
> @@ -18,7 +18,7 @@ DEB_INSTALL_MANPAGES_pandoc = man/man1/*.1 man/man5/*.5 debian/hsmarkdown.1
>  DEB_SETUP_GHC6_CONFIGURE_ARGS = -fhighlighting
>  
>  # Use threaded RTS only when supported
> -DEB_SETUP_GHC6_CONFIGURE_ARGS += $(if $(wildcard /usr/lib/ghc-$(GHC6_VERSION)/libHSrts_thr.a),,--flags=-threaded)
> +DEB_SETUP_GHC6_CONFIGURE_ARGS += $(if $(wildcard /usr/lib/ghc/libHSrts_thr.a),--flags=-threaded,)
>  
>  # Disable timer to help build on slow arches like hppa
>  DEB_SETUP_GHC6_CONFIGURE_ARGS += --ghc-options="+RTS -V0 -RTS"
> -- 

Note:  Upstream has already removed the '-threaded' flag from
pandoc.cabal, so an alternative approach would be to patch
pandoc.cabal.



Reply sent to Iain Lane <laney@debian.org>:
You have taken responsibility. (Mon, 23 Jul 2012 20:51:06 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Mon, 23 Jul 2012 20:51:06 GMT) Full text and rfc822 format available.

Message #15 received at 682433-close@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@debian.org>
To: 682433-close@bugs.debian.org
Subject: Bug#682433: fixed in pandoc 1.9.4.2-2
Date: Mon, 23 Jul 2012 20:48:04 +0000
Source: pandoc
Source-Version: 1.9.4.2-2

We believe that the bug you reported is fixed in the latest version of
pandoc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 682433@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Iain Lane <laney@debian.org> (supplier of updated pandoc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 23 Jul 2012 20:48:54 +0100
Source: pandoc
Binary: pandoc libghc-pandoc-dev libghc-pandoc-doc libghc-pandoc-prof
Architecture: source all amd64
Version: 1.9.4.2-2
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Iain Lane <laney@debian.org>
Description: 
 libghc-pandoc-dev - general markup converter
 libghc-pandoc-doc - general markup converter
 libghc-pandoc-prof - general markup converter
 pandoc     - general markup converter
Closes: 682433
Changes: 
 pandoc (1.9.4.2-2) unstable; urgency=low
 .
   * Cherry-pick patch from upstream to not build with the threaded runtime.
     It has a performance penalty and is not supported on multiple Debian
     architectures, leading to build failures there. (Closes: #682433)
Checksums-Sha1: 
 b74e50beae4007d4186e18f1a21e0603c4ef0ac9 3955 pandoc_1.9.4.2-2.dsc
 27618e8ee83ad041ab0ca8b4801e31983efec60a 37241 pandoc_1.9.4.2-2.debian.tar.gz
 c5dc3dbe48d8e69f9e5a99e04af749bd42e45d36 541414 libghc-pandoc-doc_1.9.4.2-2_all.deb
 7ee84d32ff5f022ab62bf634f0d2e1bf27a8ff05 4723542 pandoc_1.9.4.2-2_amd64.deb
 002f78c4b9a99a83aadcc7d7de614fcb17d8abb2 4840860 libghc-pandoc-dev_1.9.4.2-2_amd64.deb
 6823aeb2c338d59f4a51f3d848acee10be9d60ac 7116030 libghc-pandoc-prof_1.9.4.2-2_amd64.deb
Checksums-Sha256: 
 2eabbf972a40dc837d3a555e50490538783bf7a945fc164bda93912bc4fa90bf 3955 pandoc_1.9.4.2-2.dsc
 ec2fd3cdc297bbb5c294f9ad770f7914c837d27428c33f0e00444203d5639cd2 37241 pandoc_1.9.4.2-2.debian.tar.gz
 c5b76ab68ef388955cad9afb68f583b35801848c02b23e7aa09e0d8cecd09d7b 541414 libghc-pandoc-doc_1.9.4.2-2_all.deb
 5353c1cd7766a32e800efe2bdb0d8c7952435526fe8fbb6326312c90465dc1f6 4723542 pandoc_1.9.4.2-2_amd64.deb
 e4cfff07cd78aaec9d738283f8a37039c2cbf00f2cda685ca6093823f8342451 4840860 libghc-pandoc-dev_1.9.4.2-2_amd64.deb
 6cbc17dcb67387f64ed390b8217bb0cde79c2eb14500bd8831a130114b6d3a66 7116030 libghc-pandoc-prof_1.9.4.2-2_amd64.deb
Files: 
 f0310fdcd20174ea3a0ba29b296e88de 3955 text optional pandoc_1.9.4.2-2.dsc
 12094187a7e9da29517da3223c4dcbb4 37241 text optional pandoc_1.9.4.2-2.debian.tar.gz
 33907441ef7f970c75054d1e3538cd0d 541414 doc extra libghc-pandoc-doc_1.9.4.2-2_all.deb
 7f1b1327890d0858a4ebf4c5e1283eae 4723542 text optional pandoc_1.9.4.2-2_amd64.deb
 8335d9e6be712a02b945dd0d2ea96cc2 4840860 haskell extra libghc-pandoc-dev_1.9.4.2-2_amd64.deb
 60b4317c41926bee701a83c064974351 7116030 haskell extra libghc-pandoc-prof_1.9.4.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJQDa67AAoJEONS1cUcUEHUPukQAKgib+cF4n4H8bk4YU16BvuR
fHWNWQWO6pwnAmvXx7q+8w+QHAhSyoPKJf75DZ0LV2GvFNWfjMw+IpFccsJu17Jg
2zQFP2EKfsCoIBnJ1GTYU+5o0Wb5wReOBujrwpG5Te8bGZ+15jFWSpaKlvliE9FB
dScLJfZSLHq7XjuhAoP2WtOKpq5mO+GiZullBMhB8IbAgDO3yN4clsXFW+lzQ8hH
WvhEDM6eF0VkrXrpnD7NwTgAQPzGQmEwjK1p+G8uJMFn4sBOHv7r1iDjedPZJf+v
GgJkT0w+YjC831I0lXK2vr77WaU/baEnMaKrXUuhcIUPn+/ryHILehuzhTSzJmjx
gbBMkufKs+urwQnE9U2yws+soX1t1iC1CNxTOoge6hCiaklvjTPnp7hB8TeF93H+
djnXAtJWHuQTk3MAWI/WlR8ddHyM5zRKK0QMboVu9oEfQG1Zs+i+J/AdXlaHubeq
T3FiwoqUrdgUG74hebnmdoH9lQkU+bVl4DHOS3Dm+9JZoX+qt5muPtFnpTYO27js
68yqkPJc4EfY3CH7cLgMMrX01Q2Wp5dveEgO0d4LBqX0OvUBfDy4CrjNk+UWz5NV
752ffiLOdK0Em65GGN7wClS767YMW9D6FIy/uaNs51bfbY3vyabmQJaZzco7W74l
F+hpSjZi5bt6X/iQYM/a
=ej70
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Aug 2012 07:27:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:19:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.